<div class="max-w-md mx-auto mt-4 p-6 bg-white rounded-md shadow-md">
  <h2 class="text-xl font-semibold mb-4">Crear Nueva Cuenta</h2>
  <form [formGroup]="cuentaForm" (ngSubmit)="crearCuenta()">
    <div class="mb-4">
      <label  class="block text-sm font-medium text-gray-700" for="numero">Número de Cuenta:</label>
      <input type="text" formControlName="numero" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50" placeholder="Número de Cuenta">
    </div>
    <div class="form-group">
      <label for="saldo">Saldo:</label>
      <input type="text" formControlName="saldo" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50" placeholder="Saldo">
    </div>
    <div class="form-group">
      <label for="clienteId">ID del Cliente:</label>
      <input type="number" formControlName="clienteId" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50" placeholder="ID del Cliente">
    </div>
    <div class="mt-6">
     <button type="submit" class="w-full py-2 px-4 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">Crear Cuenta</button>
    </div>
    <div class="mt-6">
      <button type="submit" (click)="regresar()" class="w-full py-2 px-4 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
        Regresar
      </button>
    </div>
    <div class="mt-6">
      <button type="submit" (click)="irListaCuentas()" class="w-full py-2 px-4 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
        Lista de Cuentas
      </button>
    </div>
    <div class="mt-6">
      <button type="submit" (click)="irRealizarMovimientos()" class="w-full py-2 px-4 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
        Realizar Movimientos
      </button>
    </div>
  </form>
</div>
